import { GridColumnOptionsViewBase } from "./GridColumnOptionsViewBase";
import { Type, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { GridColumnOptionsSimpleSectionBase } from "./GridColumnOptionsSimpleSectionBase";
import { NotifyCollectionChangedEventArgs } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class GridColumnMoveOptionsView extends GridColumnOptionsViewBase {
    static $t: Type;
    private q;
    private v;
    private w;
    private o;
    private p;
    private r;
    private static readonly x;
    private static readonly y;
    private readonly n;
    private s;
    private t;
    private u;
    protected k(): void;
    ab(): void;
    m(): void;
    private z;
    private aa;
}
/**
 * @hidden
 */
export declare class GridColumnMoveOptions extends GridColumnOptionsSimpleSectionBase {
    static $t: Type;
    constructor();
    protected f(): GridColumnOptionsViewBase;
    protected get_by(): string;
    readonly by: string;
    bq(): boolean;
    protected a7(a: any, b: NotifyCollectionChangedEventArgs): void;
    protected a5(): void;
    protected a6(a: any, b: PropertyChangedEventArgs): void;
    protected bc(a: string, b: any, c: any): void;
    readonly b0: GridColumnMoveOptionsView;
    private b4;
    b5: string;
    private b8;
    b9: string;
    private b1;
    private cc;
    b2(): boolean;
    b3(): boolean;
    cd(): void;
    cf(): void;
    private ce;
    private cg;
}
